CREATE OR REPLACE VIEW CAR_SALE
(TASTO, SALA, ALIAS, POSTI_SALA, IDSALA, 
 IDCALEND, MODIFICA, ESAURITO, IDPACCHETTO, TITOLO, 
 IDTARIFFA, STATO_FILM, ORA_INIZIO, POSTI_LIBERI)
AS 
select
a.tasto, 
a.sala, 
a.alias, 
a.posti_sala,
nvl(a.idsala,0), 
nvl(a.idcalend,0),
nvl(a.modifica,0), 
a.esaurito, 
nvl(a.idpacchetto,0),
nvl(a.titolo,'*** In vendita tra poco ***'), 
nvl(a.idtariffa,0),
nvl(a.stato_film,' '), 
nvl(a.ora_inizio,SYSDATE),
a.posti_sala - nvl(b.posti_liberi,0)
from 
(select * from bglok) a, 
(select * from np0) b
where (a.idcalend = b.idcalend (+))
/


